

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/

#ifdef  __ICCRX__
  #include "r_cg_macrodriver.h"
  #include <math.h>
  #include "r_cg_cgc.h"
  #include "r_cg_userdefine.h"
#elif   __CCRX__
  #include <machine.h>
  #include <mathf.h>
  #include <stdint.h>
  #include "iodefine.h"
#else
  //
#endif

#include "ICS2_RX13T.h"

void main(void);

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
/* Set option bytes */

#ifdef   __ICCRX__

  #if __LITTLE_ENDIAN__
    #pragma public_equ="__MDES",0xFFFFFFFFUL
  #else
    #pragma public_equ="__MDES",0xFFFFFFF8UL
  #endif

  #pragma public_equ="__OFS0",0xFFFFFFFFUL
  #pragma public_equ="__OFS1",0xFFFFFFFFUL

#elif   __CCRX__  
  
  
#endif

#define  TWOPI    (2.0f*3.1415926535f)
                      //  BRR =   0         1      2      3     4
#define   BRR    0    // @40MHz 5.00Mbps, 2.50M, 1.67M, 1.25M, 1.00M
                      // @32MHz 4.00Mbps, 2.00M, 1.33M, 1.00M,
                      // @30MHz 3.75Mbps, 1.85M, 1.25M, 0.94M,
                      // @25MHz 3.124Mbps,1.56M, 1.04M, 0.78M
#define   MODE   3     // 0:16bit 8ch,one time
                       // 1:32bit 8ch,2 times
                       // 2:32bit 4ch,one time
                       // 3:32bit 12ch 3 times

#ifdef  __ICCRX__
  #pragma location=0x02000
  __no_init  uint32_t dtc_table[256]; /* caution allignment 0x000 */
#elif   __CCRX__
  #pragma address dtc_table=0x02000
  uint32_t dtc_table[256];            /* caution allignment 0x000 */
#else
#endif

float   wt   = 0.0f;
float   dwt  = TWOPI*50.0f/10000.0f;
float   refu = 0.0f;
float   refv = 0.0f;
float   refw = 0.0f;
float   m    = 1.0f;
float   dm   = 0.0001f;
int32_t up    = 0;


void main(void)
{
#ifdef  __CCRX__
    uint32_t sckcr_dummy;

    SYSTEM.PRCR.WORD = 0xA503;

    /* Set main clock control registers */
    SYSTEM.MOFCR.BYTE    = 0x00;
    SYSTEM.MOSCWTCR.BYTE = 0x04;  // 8192cycles

    /* Set main clock operation */
    SYSTEM.MOSCCR.BIT.MOSTP = 0U;

    /* Wait for main clock oscillator wait counter overflow */
  //while (1U != SYSTEM.OSCOVFSR.BIT.MOOVF);

    /* Set system clock */
    sckcr_dummy = 0x0000;
    SYSTEM.SCKCR.LONG = sckcr_dummy;
    while (SYSTEM.SCKCR.LONG != sckcr_dummy);

    /* Set PLL circuit */
  //SYSTEM.PLLCR.WORD = _0;
  //SYSTEM.PLLCR2.BIT.PLLEN = 1U;   // PLL stop

    /* Wait for PLL wait counter overflow */
  //while (1U != SYSTEM.OSCOVFSR.BIT.PLOVF);

    /* Set clock source */
    SYSTEM.SCKCR3.WORD = 0x0100;    // Select HOCO (32MHz)

    while (SYSTEM.SCKCR3.WORD != 0x0100)  { ; }

    /* Set LOCO */
    SYSTEM.LOCOCR.BIT.LCSTP = 1U;
    SYSTEM.PRCR.WORD = 0xA500;
#endif

//**********************************************************************************
//  ics2_init(dtc_table, ICS_SCI1_PD3_PD5, 6U, BRR, MODE);  // CN3 OK (E1)
//  ics2_init(dtc_table, ICS_SCI1_PB6_PB7, 6U, BRR, MODE);  // CN4 OK
//  ics2_init(dtc_table, ICS_SCI5_PB6_PB7, 6U, BRR, MODE);  // CN4 OK
//  ics2_init(dtc_table, ICS_SCI5_PB2_PB1, 6U, BRR, MODE);  // CN6 OK
    ics2_init(dtc_table, ICS_SCI5_P23_P24, 6U, BRR, MODE);  // CN8 Default OK
//  ics2_init(dtc_table, ICS_SCI12_PB0_P94, 6U, BRR, MODE); // CN5 OK
//**********************************************************************************

#ifdef  __ICCRX__
    EI();
#elif   __CCRX__
    setpsw_i();  // enable interrput
#else
    //
#endif
    
  //PORTD.PDR.BIT.B6 = 1;
    
    while (1U)
    {
        int32_t i;
        
        wt = wt + dwt;
        if (wt>TWOPI) { wt = wt - TWOPI; }
        
        if (up==1)
        {
             m = m + dm;
             if (m>=1.0f) { up = 0; }
        }
        else
        {
             m = m - dm;
             if (m<=0.5f) { up = 1; }
        }

        refu  = m * sinf(wt);
        refv  = m * sinf(wt-TWOPI*1.0f/3.0f);
        refw  = m * sinf(wt-TWOPI*2.0f/3.0f);

      //PORTD.PODR.BIT.B6 = 1;
        for(i=0;i<1000;i++) { nop(); }
      //PORTD.PODR.BIT.B6 = 0;
        for(i=0;i<1000;i++) { nop(); }
        ics2_watchpoint();
    }
}

